"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitBreadcrumbs = void 0;
// eslint-disable-next-line import/prefer-default-export
const splitBreadcrumbs = (breadcrumbs = []) => {
    const [firstElement, secondElement, ...rest] = breadcrumbs;
    const lastItems = rest.slice(-2);
    const middle = rest.slice(0, rest.length - 2);
    return {
        firstItems: [firstElement, secondElement].filter(Boolean),
        middle,
        lastItems,
    };
};
exports.splitBreadcrumbs = splitBreadcrumbs;
