"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const useCioPlpContext_1 = require("../../hooks/useCioPlpContext");
const useCioPlpProvider_1 = tslib_1.__importDefault(require("../../hooks/useCioPlpProvider"));
function CioPlpProvider(props) {
    const { children } = props, rest = tslib_1.__rest(props, ["children"]);
    const contextValue = (0, useCioPlpProvider_1.default)(rest);
    return (react_1.default.createElement(useCioPlpContext_1.PlpContext.Provider, { value: contextValue }, typeof children === 'function' ? children(contextValue) : children));
}
exports.default = CioPlpProvider;
