"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useFirstRender() {
    const firstRender = (0, react_1.useRef)(true);
    (0, react_1.useEffect)(() => {
        firstRender.current = false;
    }, []);
    return { isFirstRender: firstRender.current };
}
exports.default = useFirstRender;
