import React from 'react';
import useGroups, { UseGroupProps } from '../../hooks/useGroups';
import { IncludeRenderProps } from '../../types';
export interface GroupsProps extends UseGroupProps {
    isCollapsed?: boolean;
    title?: string;
}
export type GroupsWithRenderProps = IncludeRenderProps<GroupsProps, ReturnType<typeof useGroups>>;
export default function Groups(props: GroupsWithRenderProps): React.JSX.Element | null;
