import React from 'react';
export type MobileModalProps = {
    /**
     * where to animate the modal from
     */
    side?: 'left' | 'right';
    /**
     * open state of modal
     */
    isOpen: boolean;
    /**
     * function to update open state of modal
     */
    setIsOpen: (b: boolean) => void;
};
export default function MobileModal(props: React.PropsWithChildren<MobileModalProps>): React.JSX.Element | null;
