import React from 'react';
import { IncludeRenderProps } from '../../types';
import { UsePaginationProps, UsePaginationReturn } from '../../hooks/usePagination';
export type PaginationProps = UsePaginationProps;
export type PaginationWithRenderProps = IncludeRenderProps<PaginationProps, UsePaginationReturn>;
declare function Pagination(props: PaginationWithRenderProps): React.JSX.Element;
declare namespace Pagination {
    var defaultProps: {
        resultsPerPage: number;
        windowSize: number;
    };
}
export default Pagination;
