import React from 'react';
import { UseSortProps } from '../../hooks/useSort';
import { IncludeRenderProps, UseSortReturn } from '../../types';
export type SortProps = UseSortProps & {
    /**
     * Default open state of dropdown
     */
    isOpen?: boolean;
};
export type SortWithRenderProps = IncludeRenderProps<SortProps, UseSortReturn>;
declare function Sort({ isOpen: defaultOpen, sortOptions: sortOptionsFromProps, children, }: SortWithRenderProps): React.JSX.Element;
declare namespace Sort {
    var defaultProps: {
        isOpen: boolean;
    };
}
export default Sort;
