/// <reference types="react" />
import { PlpContextValue } from '../types';
export declare const PlpContext: import("react").Context<PlpContextValue | null>;
/**
 * React Hook to access state provided by CioPlp provider.
 * Note: Should only be used by components nested under a CioPlp provider
 */
export declare function useCioPlpContext(): PlpContextValue;
