import { PlpFacet, PlpFilterValue } from '../types';
export interface UseFilterReturn {
    facets: Array<PlpFacet>;
    setFilter: (filterName: string, filterValue: PlpFilterValue) => void;
}
export interface UseFilterProps {
    /**
     * Used to build and render filters dynamically
     */
    facets: Array<PlpFacet>;
}
export default function useFilter(props: UseFilterProps): UseFilterReturn;
