import { GetBrowseResultsResponse, SearchResponse, SortOption, Facet, Nullable, Group } from '@constructor-io/constructorio-client-javascript/lib/types';
import { Item, ApiItem, PlpSortOption, Variation, PlpFacet, IncludeRawResponse, PlpSearchData, PlpBrowseData, PlpItemGroup, PlpHierarchicalFacetOption, ApiHierarchicalFacetOption } from '../types';
export declare function transformResultVariation(variation: ApiItem, includeRaw?: boolean): Variation;
export declare function transformResultItem(item: ApiItem, includeRaw?: boolean): IncludeRawResponse<Item, ApiItem>;
export declare function transformHierarchicalFacetOptions(facetOptions: Array<ApiHierarchicalFacetOption>): Array<PlpHierarchicalFacetOption>;
export declare function transformResponseFacets(facets: Array<Facet>): Array<PlpFacet>;
export declare function transformResponseSortOptions(options?: Partial<SortOption>[]): PlpSortOption[];
export declare function transformItemGroups(groups?: Group[]): PlpItemGroup[];
export declare function transformSearchResponse(res: SearchResponse): Nullable<PlpSearchData>;
export declare function transformBrowseResponse(res: GetBrowseResultsResponse): Nullable<PlpBrowseData>;
