import { Nullable, PlpBrowseData, PlpFacet, PlpHierarchicalFacet, PlpMultipleFacet, PlpRangeFacet, PlpSearchData, PlpSearchDataRedirect, PlpSearchDataResults, PlpSingleFacet } from '../types';
export declare function isPlpSearchDataResults(response: Nullable<PlpSearchData | PlpBrowseData>): response is PlpSearchDataResults;
export declare function isPlpSearchDataRedirect(response: Nullable<PlpSearchData | PlpBrowseData>): response is PlpSearchDataRedirect;
export declare function isPlpBrowseDataResults(response: Nullable<PlpSearchData | PlpBrowseData>): response is PlpBrowseData;
export declare function isRangeFacet(facet: PlpFacet): facet is PlpRangeFacet;
export declare function isMultipleOrBucketedFacet(facet: PlpFacet): facet is PlpMultipleFacet;
export declare function isSingleFacet(facet: PlpFacet): facet is PlpSingleFacet;
export declare function isHierarchicalFacet(facet: PlpFacet): facet is PlpHierarchicalFacet;
export declare function isOptionFacet(facet: PlpFacet): facet is PlpMultipleFacet | PlpSingleFacet | PlpHierarchicalFacet;
