"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const CioPlpProvider_1 = tslib_1.__importDefault(require("./CioPlpProvider"));
const CioPlpGrid_1 = tslib_1.__importDefault(require("../CioPlpGrid"));
// Wrapper component for CioPlpProvider with default Markup
function CioPlp(props) {
    const { children, initialSearchResponse, initialBrowseResponse, sortConfigs, paginationConfigs, filterConfigs } = props, rest = tslib_1.__rest(props, ["children", "initialSearchResponse", "initialBrowseResponse", "sortConfigs", "paginationConfigs", "filterConfigs"]);
    const defaultMarkup = (react_1.default.createElement(CioPlpGrid_1.default, { initialSearchResponse: initialSearchResponse, initialBrowseResponse: initialBrowseResponse, sortConfigs: sortConfigs, paginationConfigs: paginationConfigs, filterConfigs: filterConfigs }));
    return (react_1.default.createElement("div", { className: 'cio-plp' },
        react_1.default.createElement(CioPlpProvider_1.default, Object.assign({}, rest), children || defaultMarkup)));
}
exports.default = CioPlp;
