"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCioPlpContext = exports.PlpContext = void 0;
const react_1 = require("react");
exports.PlpContext = (0, react_1.createContext)(null);
exports.PlpContext.displayName = 'PlpContext';
/**
 * React Hook to access state provided by CioPlp provider.
 * Note: Should only be used by components nested under a CioPlp provider
 */
function useCioPlpContext() {
    return (0, react_1.useContext)(exports.PlpContext);
}
exports.useCioPlpContext = useCioPlpContext;
