import { SearchParameters } from '@constructor-io/constructorio-client-javascript/lib/types';
import { RequestConfigs, RequestQueryParams } from '../types';
export declare function getSearchParamsFromRequestConfigs(requestConfigs: RequestConfigs): {
    query: string;
    searchParams: SearchParameters;
};
export declare function getBrowseParamsFromRequestConfigs(requestConfigs: RequestConfigs): {
    filterName: string;
    filterValue: string;
    queryParams: RequestQueryParams;
};
export declare function checkIsSearchPage(requestConfigs: RequestConfigs): boolean;
export declare function checkIsBrowsePage(requestConfigs: RequestConfigs): boolean;
export type PageType = 'search' | 'browse' | 'unknown';
export declare function getPageType(requestConfigs: RequestConfigs): PageType;
