import type { RequestConfigs, DefaultQueryStringMap } from '../types';
export declare const defaultQueryStringMap: Readonly<DefaultQueryStringMap>;
export declare function getUrl(): string | undefined;
export declare function setUrl(newUrlWithEncodedState: string): void;
export declare function extractFiltersFromUrl(urlParams: URLSearchParams): {} | undefined;
export declare function getFilterParamsFromState(urlParams: URLSearchParams, filters: RequestConfigs['filters']): void;
export declare function getStateFromUrl(url: string): RequestConfigs;
export declare function getUrlFromState(state: RequestConfigs, url: string): string;
